import request from '@/utils/request'
// 获取产品P数计价规则列表
export function getProductPagePriceList(data) {
  return request({
    url: '/product/getProductPagePriceList',
    method: 'post',
    params: data
  })
}
// 获取产品P数计价规则信息
export function getProductPagePriceInfo(data) {
  return request({
    url: '/product/getProductPagePriceInfo',
    method: 'post',
    params: data
  })
}
// 增加产品P数计价规则
export function addProductPagePrice(data) {
  return request({
    url: '/product/addProductPagePrice',
    method: 'post',
    params: data
  })
}
// 修改产品P数计价规则
export function updateProductPagePrice(data) {
  return request({
    url: '/product/updateProductPagePrice',
    method: 'post',
    params: data
  })
}

// 获取产品P数计价规则列表
export function getAvailableProductPagePriceList(data) {
  return request({
    url: '/product/getAvailableProductPagePriceList',
    method: 'post',
    params: data
  })
}
